package com.r11.tools.utilis;

import lombok.AllArgsConstructor;

/**
 * Enum of keys for redis database.
 * @author Rafał Żukowicz
 */
@AllArgsConstructor
public enum BusinessKey {
    INTERFACE_NAME("interfaceName"),
    CLIENT_UUID("clientUUID"),
    MESSAGE_ID("messageId");

    private final String phrase;

    /**
     * Returns string value of given enum variant
     * @return string value of enum
     */
    public String getReasonPhrase() {
        return this.phrase;
    }
}
